#version 330 core
precision highp float;

in vec2 ex_Uv;
out vec4 fragColor;

uniform sampler2D channel0;
uniform float alpha;


void main()
{
	vec4 color = texture(channel0, ex_Uv);
	color.a = color.a * alpha;
	fragColor = color;
}

